
!GRPharoPlatform methodsFor: '*seaside-pharo-rest-core' stamp: 'pmm 8/8/2010 09:55'!
argumentNamesOf: aMethod
	^ aMethod methodNode arguments collect: [ :each |
		each key ]! !

!GRPharoPlatform methodsFor: '*seaside-pharo-rest-core' stamp: 'pmm 8/8/2010 10:12'!
methodsWithHttpPragmaIn: aClass do: aFourArgumentBlock
	aClass selectorsDo: [ :selector |
		| httpMethodName method |
		httpMethodName := nil.
		method := aClass >> selector.
		method pragmas do: [ :pragma |
			(WARoute httpMethodNames includes: pragma keyword) ifTrue: [
				httpMethodName := pragma keyword greaseString ] ].
		httpMethodName isNil ifFalse: [
			| path |
			path := method pragmaAt: #Path:.
			aFourArgumentBlock
				value: method
				value: selector
				value: httpMethodName
				value: (path isNil ifFalse: [ path argumentAt: 1 ] ) ] ]! !

!GRPackage class methodsFor: '*seaside-pharo-rest-core' stamp: 'pmm 8/8/2010 11:22'!
seasidePharoRestCore
	^ self new
		name: 'Seaside-Pharo-REST-Core';
		description: 'Write RESTful web services using Seaside';
		addDependency: 'Seaside-REST-Core';
		url: #seasideAddonsUrl;
		yourself! !
